# Uses of Class
it.tdlight.jni.TdApi.LogStream

## Uses of TdApi.LogStream in it.tdlight.jni

Subclasses of TdApi.LogStream in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.LogStreamDefault`
The log is written to stderr or an OS specific log.
`static final class`
`TdApi.LogStreamEmpty`
The log is written nowhere.
`static final class`
`TdApi.LogStreamFile`
The log is written to a file.
Fields in it.tdlight.jni declared as TdApi.LogStream
Modifier and Type
Field
Description
`TdApi.LogStream`
TdApi.SetLogStream.`logStream`
New log stream.
Constructors in it.tdlight.jni with parameters of type TdApi.LogStream
Modifier
Constructor
Description
``
`SetLogStream(TdApi.LogStream logStream)`
Sets new log stream for internal logging of TDLib.